<?php
$template = <<<END
<!-- block_admin -->
END;

$block_admin = array(
	"title" => "管理者チェック",
	"name" => "block_admin",		// 名称、重複すると正しく動作しません
	"template" => $template,		// ブロックのテンプレート
	"input" => array(
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=block_admin",
			"class" => "notice",
		),
	),
	"func" => "func_admin",
);

block_add($block_admin);

function func_admin($def, $info)
{
	$reject_url = "./";		// トップページ
	if (!isset($_SESSION["LOGIN"])) {	// 管理者ではない
		header("HTTP/1.0 401 Unauthorized");
		header("location: " . $reject_url);
	    exit;
	}
	return $info;
}
